发布日期:2015-11-03 09:39 来源: 标签: 编程语言 Java教程 catch java实例
本章我们主要学习如何使用多个catch来处理链试异常?下面我们就做一下具体讲解,希望大家多多支持中国站长网络学院。

以下实例演示了使用多个 catch 来处理链试异常:

/*
 author by w3cschool.cc
 Main.java
 */

public class Main{
   public static void main (String args[])throws Exception  {
      int n=20,result=0;
      try{
         result=n/0;
         System.out.println("结果为"+result);
      }
      catch(ArithmeticException ex){
         System.out.println("发算术异常: "+ex);
         try {
         throw new NumberFormatException();
         }
         catch(NumberFormatException ex1) {
            System.out.println("手动抛出链试异常 : "+ex1);
         }
      }
   }
}

以上代码运行输出结果为:

发算术异常: java.lang.ArithmeticException: / by zero
手动抛出链试异常 : java.lang.NumberFormatException

相关评论

专题信息
    Java是一种可以撰写跨平台应用程序的面向对象的程序设计语言。Java 技术具有卓越的通用性、高效性、平台移植性和安全性,广泛应用于PC、数据中心、游戏控制台、科学超级计算机、移动电话和互联网,同时拥有全球最大的开发者专业社群。Java分为三个体系,分别为Java SE(J2SE,Java2 Platform Standard Edition,标准版),JavaEE(J2EE,Java 2 Platform, Enterprise Edition,企业版),Java ME(J2ME,Java 2 Platform Micro Edition,微型版)。本教程我们将为大家介绍 Java 常用的实例,通过实例学习我们可以更快的掌握 Java 的应用。